Cyberduck Mountain Duck CLI

#8753 closed enhancement (fixed)

URLs with S3 scheme in Copy URL menu

Reported by: steamer25 Owned by: dkocher
Priority: normal Milestone: 4.7
Component: s3 Version: 4.6.5
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

S3 can be accessed with URIs where the scheme is 'S3' using tools like the AWS CLI (e.g., http://docs.aws.amazon.com/cli/latest/userguide/using-s3-commands.html) or EMR (e.g., http://docs.aws.amazon.com/ElasticMapReduce/latest/DeveloperGuide/emr-build-binaries.html)

Here's an example URL for a public file which links to a shell script: s3://elasticmapreduce/bootstrap-actions/configure-hadoop

The attached patch allows users to browse files in Cyberduck, copy URLs in the new format and then paste them into code or as command-line arguments.

Attachments (1)

s3_protocol_patch.txt (1.3 KB) - added by steamer25 on Apr 17, 2015 at 9:17:45 PM.
Adds the S3 protocol to the Copy URL menu

Download all attachments as: .zip

Change History (12)

comment:1 Changed on Apr 17, 2015 at 9:10:20 PM by dkocher

  • Component changed from core to s3
  • Milestone set to 4.7
  • Owner set to dkocher
  • Status changed from new to assigned

comment:2 follow-up: Changed on Apr 17, 2015 at 9:11:21 PM by dkocher

We do support URLs s3://<container>/<key> in Cyberduck CLI.

comment:3 in reply to: ↑ description ; follow-up: Changed on Apr 17, 2015 at 9:11:41 PM by dkocher

Replying to steamer25:

The attached patch allows users to browse files in Cyberduck, copy URLs in the new format and then paste them into code or as command-line arguments.

The patch seems to be missing.

Changed on Apr 17, 2015 at 9:17:45 PM by steamer25

Adds the S3 protocol to the Copy URL menu

comment:4 in reply to: ↑ 2 Changed on Apr 17, 2015 at 9:19:10 PM by steamer25

Replying to dkocher:

We do support URLs s3://<container>/<key> in Cyberduck CLI.

Another excellent use case for copying them out of the GUI :) .

comment:5 in reply to: ↑ 3 Changed on Apr 17, 2015 at 9:33:10 PM by steamer25

Replying to dkocher:

Replying to steamer25:

The attached patch allows users to browse files in Cyberduck, copy URLs in the new format and then paste them into code or as command-line arguments.

The patch seems to be missing.

Sorry--I submitted the first page of the new issue form and then took a moment to generate the patch and double-check the formatting. Apparently, Trac made the issue active before I was able to attach the patch on the second page. The patch is attached now. Thanks for being super-responsive https://az545221.vo.msecnd.net/skype-faq-media/faq_content/skype/screenshots/fa12330/emoticons/yes_20.png

comment:6 Changed on Apr 17, 2015 at 9:46:55 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r17337. Revised the patch to handle whitespace in key names.

Last edited on Apr 17, 2015 at 9:48:23 PM by dkocher (previous) (diff)

comment:7 Changed on Apr 17, 2015 at 9:48:51 PM by dkocher

We should extend support to allow s3:// schemes in the quick connect field.

comment:8 follow-up: Changed on Apr 20, 2015 at 5:58:15 PM by steamer25

Doh! On line 23 of the patch (the part that specifies the scheme of the URL being generated), I used a capital 'S' in S3. It should be lower case.

I.e.,

--- URI.create("S3:/" + file.getAbsolute()),
+++ URI.create("s3:/" + file.getAbsolute()),

comment:9 in reply to: ↑ 8 Changed on Apr 20, 2015 at 5:59:24 PM by steamer25

Replying to steamer25:

Doh! On line 23 of the patch (the part that specifies the scheme of the URL being generated), I used a capital 'S' in S3. It should be lower case.

I.e.,

--- URI.create("S3:/" + file.getAbsolute()),
+++ URI.create("s3:/" + file.getAbsolute()),

Took at look at r17337 and it looks like you took care of it--thanks!

Last edited on Apr 20, 2015 at 8:12:11 PM by dkocher (previous) (diff)

comment:10 Changed on Apr 24, 2015 at 10:48:34 AM by dkocher

  • Summary changed from Feature Request/Patch: S3 Protocol URLs to URLs with S3 scheme in Copy URL menu

comment:11 Changed on Jul 3, 2015 at 11:49:05 AM by dkocher

As of r17886 you can now use URLs with s3:// or rackspace:// schemes in the user interface such as Quick Connect.

Note: See TracTickets for help on using tickets.
swiss made software